
-- Components description
-- id - unique id of the memory record in cheat table
-- modifier - value to be added to the value of the memory record
-- valFromFunc - this func will be called to fill the value of the component
-- components_inheriting_value - these components will have the same value as the parent
-- depends_on - components used to calc new value for the parent
-- group - player attribute group
-- events - component events
function get_components_description_team_edit()
    return {
        TeamIDEdit = { id = 4589, modifier = 1},
        penaltytakerid = { id = 4564, modifier = -1},
        trait1vweak = { id = 4595, modifier = 0},
        TeamDomesticCupsEdit = { id = 4527, modifier = 0},
        captainid = { id = 4519, modifier = -1},
        longitude = { id = 4551, modifier = -180},
        TeamWorthEdit = { id = 4521, modifier = 0},
        offensivewidth = { id = 4560, modifier = 0},
        TeamStadiumCapacityEdit = { id = 4591, modifier = 0},
        longkicktakerid = { id = 4552, modifier = -1},
        stanchionflamethrower = { id = 4577, modifier = 0},
        TeamUEFAConsecutiveWinsEdit = { id = 4598, modifier = 0},
        TeamProfitabilityCB = { id = 4572, modifier = 0, already_filled = true},
        form = { id = 4532, modifier = 0},
        leftcornerkicktakerid = { id = 4549, modifier = -1},
        TeamPopularityCB = { id = 4569, modifier = 0, already_filled = true},
        numtransfersin = { id = 4558, modifier = 0},
        personalityid = { id = 4565, modifier = 0},
        opponentstrongthreshold = { id = 4561, modifier = -100},
        hasstandingcrowd = { id = 4538, modifier = 0},
        genericint1 = { id = 4536, modifier = -1},
        favoriteteamsheetid = { id = 4530, modifier = -1},
        TeamMIDEdit = { id = 4557, modifier = 0},
        defensivestyle = { id = 4525, modifier = 0},
        TeamBudgetEdit = { id = 4596, modifier = 0},
        TeamATTEdit = { id = 4516, modifier = 0},
        hasvikingclap = { id = 4540, modifier = 0},
        PrevElWinnerCB = { id = 4571, modifier = 0, already_filled = true},
        ethnicity = { id = 4529, modifier = 1},
        trait1vstrong = { id = 4594, modifier = 0},
        iscompetitionpoleflagenabled = { id = 4544, modifier = 0},
        TeamDomPrestigeCB = { id = 4528, modifier = 0, already_filled = true},
        flamethrowercannon = { id = 4531, modifier = 0},
        playersinboxfk = { id = 4568, modifier = 0},
        suitvariationid = { id = 4579, modifier = 0},
        assetid = { id = 4515, modifier = -2147483648},
        matchdaydefenserating = { id = 4554, modifier = 0},
        playersinboxcross = { id = 4567, modifier = 0},
        utcoffset = { id = 4600, modifier = -12},
        
        crowdskintonecode = { id = 4522, modifier = 0},
        
        freekicktakerid = { id = 4534, modifier = -1},
        
        offensivestyle = { id = 4559, modifier = 0},
        
        leftfreekicktakerid = { id = 4550, modifier = -1},
        trainingstadium = { id = 4592, modifier = 0},
        TeamIntPrestigeCB = { id = 4541, modifier = 0, already_filled = true},
        TeamRivalTeamIDEdit = { id = 4575, modifier = 1},
        matchdayattackrating = { id = 4553, modifier = 0},
        genericbanner = { id = 4535, modifier = 0},
        
        defensivedepth = { id = 4524, modifier = 0},
        cityid = { id = 4520, modifier = 0},
        matchdayoverallrating = { id = 4556, modifier = 0},
        TeamElWinsEdit = { id = 4599, modifier = 0},
        hastifo = { id = 4539, modifier = 0},
        
        matchdaymidfieldrating = { id = 4555, modifier = 0},
        playersinboxcorner = { id = 4566, modifier = 0},
        powid = { id = 4570, modifier = -1},
        genericint2 = { id = 4537, modifier = -1},
        suittypeid = { id = 4578, modifier = 0},
        trait1vequal = { id = 4593, modifier = 0},
        opponentweakthreshold = { id = 4562, modifier = -100},
        
        iscompetitionscarfenabled = { id = 4545, modifier = 0},
        skinnyflags = { id = 4576, modifier = 0},
        bodytypeid = { id = 4518, modifier = 0},
        TeamDEFEdit = { id = 4523, modifier = 0},
        TeamLeagueTitlesEdit = { id = 4548, modifier = 0},
        rightcornerkicktakerid = { id = 4573, modifier = -1},
        TeamClWinsEdit = { id = 4597, modifier = 0},
        ballid = { id = 4517, modifier = 0},
        defensivewidth = { id = 4526, modifier = 0},
        
        latitude = { id = 4547, modifier = -90},
        isbannerenabled = { id = 4542, modifier = 0},
        TeamFoundationEdit = { id = 4533, modifier = 1800},
        jerseytype = { id = 4546, modifier = 0},
        TeamNameLabel = { id = 4590, modifier = 0},
        iscompetitioncrowdcardsenabled = { id = 4543, modifier = 0},
        TeamYouthDevCB = { id = 4601, modifier = 0, already_filled = true},
        
        rightfreekicktakerid = { id = 4574, modifier = -1},
        TeamOVREdit = { id = 4563, modifier = 0},

        TeamColor1RedEdit = { 
            id = 4582, 
            modifier = 0,
            events = {
                OnChange = TeamColorOnChange,
            },
        },
        TeamColor1GreenEdit = { 
            id = 4581, 
            modifier = 0,
            events = {
                OnChange = TeamColorOnChange,
            },
        },
        TeamColor1BlueEdit = { 
            id = 4580, 
            modifier = 0,
            events = {
                OnChange = TeamColorOnChange,
            },
        },

        TeamColor2RedEdit = { 
            id = 4585, 
            modifier = 0,
            events = {
                OnChange = TeamColorOnChange,
            },
        },
        TeamColor2GreenEdit = { 
            id = 4584, 
            modifier = 0,
            events = {
                OnChange = TeamColorOnChange,
            },
        },
        TeamColor2BlueEdit = { 
            id = 4583, 
            modifier = 0,
            events = {
                OnChange = TeamColorOnChange,
            },
        },

        TeamColor3RedEdit = { 
            id = 4588, 
            modifier = 0,
            events = {
                OnChange = TeamColorOnChange,
            },
        },
        TeamColor3GreenEdit = {
            id = 4587, 
            modifier = 0,
            events = {
                OnChange = TeamColorOnChange,
            },
        },
        TeamColor3BlueEdit = { 
            id = 4586, 
            modifier = 0,
            events = {
                OnChange = TeamColorOnChange,
            },
        },

        TeamFormationCB = { 
            id = 4738,
            modifier = -1,
            onApplyChanges = set_team_formation,
            events = {
                OnChange = TeamFormationCBOnChange,
            },
        }
    }
end

function get_components_description_manager_edit()
    return {
        TeamManagerBodyTypeCodeEdit = {id = 3653, modifier = 1, db_col = "bodytypecode"},
        TeamManagerCommonnameEdit = {id = 3636, modifier = 0, db_col = "commonname"},
        TeamManagerEthnicityEdit = {id = 3638, modifier = 1, db_col = "ethnicity"},
        TeamManagerEyebrowcodeEdit = {id = 3642, modifier = 0, db_col = "eyebrowcode"},
        TeamManagerEyecolorcodeEdit = {id = 3643, modifier = 1, db_col = "eyecolorcode"},
        TeamManagerFaceposerpresetEdit = {id = 3640, modifier = 0, db_col = "faceposerpreset"},
        TeamManagerFacialHaircolorcodeEdit = {id = 3654, modifier = 0, db_col = "facialhaircolorcode"},
        TeamManagerFacialHairtypecodeEdit = {id = 3632, modifier = 0, db_col = "facialhairtypecode"},
        TeamManagerFirstnameEdit = {id = 3630, modifier = 0, db_col = "firstname"},
        TeamManagerGenderCB = {id = 3635, modifier = 0, db_col = "gender"},
        TeamManagerHaircolorcodeEdit = {id = 3625, modifier = 0, db_col = "haircolorcode"},
        TeamManagerHairstylecodeEdit = {id = 3652, modifier = 0, db_col = "hairstylecode"},
        TeamManagerHairtypecodeEdit = {id = 3628, modifier = 0, db_col = "hairtypecode"},
        TeamManagerHashighqualityheadCB = {id = 3634, modifier = 0, db_col = "hashighqualityhead"},
        TeamManagerHeadAssetIDEdit = {id = 3637, modifier = 0, db_col = "headassetid"},
        TeamManagerHeadclasscodeEdit = {id = 3645, modifier = 0, db_col = "headclasscode"},
        TeamManagerHeadTypeCodeEdit = {id = 3629, modifier = 0, db_col = "headtypecode"},
        TeamManagerHeadvariationEdit = {id = 3649, modifier = 0, db_col = "headvariation"},
        TeamManagerHeightCB = {id = 3631, modifier = 130, db_col = "height"},
        TeamManagerIDEdit = {id = 3627, modifier = 0, db_col = "managerid"},
        TeamManagerNationalityCB = {id = 3646, modifier = 0, db_col = "nationality"},
        TeamManagerOutfitIDEdit = {id = 3651, modifier = 0, db_col = "outfitid"},
        TeamManagerPersonalityEdit = {id = 3644, modifier = 0, db_col = "personalityid"},
        TeamManagerSeasonaloutfitidEdit = {id = 3632, modifier = 0, db_col = "seasonaloutfitid"},
        TeamManagerSideburnscodeEdit = {id = 3647, modifier = 0, db_col = "sideburnscode"},
        TeamManagerSkintonecodeEdit = {id = 3650, modifier = 1, db_col = "skintonecode"},
        TeamManagerSkintypecodeEdit = {id = 3648, modifier = 0, db_col = "skintypecode"},
        TeamManagerSurnameEdit = {id = 3639, modifier = 0, db_col = "surname"},
        TeamidEdit = {id = 3641, modifier = 1, db_col = "teamid"},
        TeamManagerWeightCB = {id = 3633, modifier = 30, db_col = "weight"}
    }
end

function get_teamkits_desc()
    return {
        KitTeamTechIDEdit = { id = 4146, modifier = 0},
        KitTeamKitIDEdit = { id = 4144, modifier = 0},
        KitTeamKitTypeTechIDEdit = { id = 4145, modifier = 0},
        KitTeamYearEdit = { id = 4218, modifier = 0},
        KitTeamPowidEdit = { id = 4213, modifier = -1},
        KitTeamDlcEdit = { id = 4197, modifier = 0},
        KitTeamIsembargoedEdit = { id = 4199, modifier = 0},
        KitTeamIsinheritbasedetailmapEdit = { id = 4200, modifier = 0},
        KitTeamHasadvertisingkitEdit = { id = 4198, modifier = 0},
        KitTeamIslockedEdit = { id = 4201, modifier = 0},
        KitTeamRenderingmaterialtypeEdit = { id = 4214, modifier = 0},

        KitTeamChestbadgeEdit = { id = 4151, modifier = 0},
        KitTeamCaptainarmbandEdit = { id = 4147, modifier = 0},

        KitTeamJerseyFitEdit = { id = 4205, modifier = 0},
        KitTeamJerseyshapestyleEdit = { id = 4212, modifier = 0},
        KitTeamJerseycollargeometrytypeEdit = { id = 4204, modifier = 0},
        KitTeamJerseyrenderingdetailmaptypeEdit = { id = 4211, modifier = 0},
        KitTeamJerseynamelayouttypeEdit = { id = 4210, modifier = 0},
        KitTeamJerseynamefonttypeEdit = { id = 4154, modifier = 0},
        KitTeamNumberfonttypeEdit = { id = 4155, modifier = 0},
        KitTeamJerseybacknamefontcaseEdit = { id = 4202, modifier = 0},
        KitTeamJerseybacknameplacementcodeEdit = { id = 4203, modifier = 0},
        KitTeamJerseyfrontnumberplacementcodeEdit = { id = 4206, modifier = 0},
        KitTeamJerseyleftsleevebadgeEdit = { id = 4149, modifier = 0},
        KitTeamJerseyrightsleevebadgeEdit = { id = 4150, modifier = 0},

        TeamKitJerseyNumberColor1RedEdit = { 
            id = 4169, modifier = 0,
            events = {
                OnChange = TeamKitJerseyNumberColorOnChange
            }
        },
        TeamKitJerseyNumberColor1GreenEdit = { 
            id = 4170, modifier = 0,
            events = {
                OnChange = TeamKitJerseyNumberColorOnChange
            }
        },
        TeamKitJerseyNumberColor1BlueEdit = { 
            id = 4171, modifier = 0,
            events = {
                OnChange = TeamKitJerseyNumberColorOnChange
            }
        },

        TeamKitJerseyNumberColor2RedEdit = { 
            id = 4173, modifier = 0,
            events = {
                OnChange = TeamKitJerseyNumberColorOnChange
            }
        },
        TeamKitJerseyNumberColor2GreenEdit = { 
            id = 4174, modifier = 0,
            events = {
                OnChange = TeamKitJerseyNumberColorOnChange
            }
        },
        TeamKitJerseyNumberColor2BlueEdit = { 
            id = 4175, modifier = 0,
            events = {
                OnChange = TeamKitJerseyNumberColorOnChange
            }
        },

        TeamKitJerseyNumberColor3RedEdit = { 
            id = 4177, modifier = 0,
            events = {
                OnChange = TeamKitJerseyNumberColorOnChange
            }
        },
        TeamKitJerseyNumberColor3GreenEdit = { 
            id = 4178, modifier = 0,
            events = {
                OnChange = TeamKitJerseyNumberColorOnChange
            }
        },
        TeamKitJerseyNumberColor3BlueEdit = { 
            id = 4179, modifier = 0,
            events = {
                OnChange = TeamKitJerseyNumberColorOnChange
            }
        },

        TeamKitJerseyNameColorRedEdit = { 
            id = 4209, modifier = 0,
            events = {
                OnChange = TeamJerseyNameColorOnChange
            }
        },
        TeamKitJerseyNameColorGreenEdit = { 
            id = 4208, modifier = 0,
            events = {
                OnChange = TeamJerseyNameColorOnChange
            }
        },
        TeamKitJerseyNameColorBlueEdit = { 
            id = 4207, modifier = 0,
            events = {
                OnChange = TeamJerseyNameColorOnChange
            }
        },

        KitTeamShortStyleEdit = { id = 4217, modifier = 0},
        KitTeamShortsnumberfonttypeEdit = { id = 4153, modifier = 0},
        KitTeamShortsnumberplacementcodeEdit = { id = 4215, modifier = 0},
        KitTeamShortsrenderingdetailmaptypeEdit = { id = 4216, modifier = 0},

        TeamKitShortsNumberColor1RedEdit = { 
            id = 4157, modifier = 0,
            events = {
                OnChange = TeamShortColorOnChange,
            }
        },
        TeamKitShortsNumberColor1GreenEdit = { 
            id = 4158, modifier = 0,
            events = {
                OnChange = TeamShortColorOnChange,
            }
        },
        TeamKitShortsNumberColor1BlueEdit = { 
            id = 4159, modifier = 0,
            events = {
                OnChange = TeamShortColorOnChange,
            }
        },

        TeamKitShortsNumberColor2RedEdit = { 
            id = 4161, modifier = 0,
            events = {
                OnChange = TeamShortColorOnChange,
            }
        },
        TeamKitShortsNumberColor2GreenEdit = { 
            id = 4162, modifier = 0,
            events = {
                OnChange = TeamShortColorOnChange,
            }
        },
        TeamKitShortsNumberColor2BlueEdit = { 
            id = 4163, modifier = 0,
            events = {
                OnChange = TeamShortColorOnChange,
            }
        },

        TeamKitShortsNumberColor3RedEdit = { 
            id = 4165, modifier = 0,
            events = {
                OnChange = TeamShortColorOnChange,
            }
        },
        TeamKitShortsNumberColor3GreenEdit = { 
            id = 4166, modifier = 0,
            events = {
                OnChange = TeamShortColorOnChange,
            }
        },
        TeamKitShortsNumberColor3BlueEdit = { 
            id = 4167, modifier = 0,
            events = {
                OnChange = TeamShortColorOnChange,
            }
        },

        TeamKitColor1RedEdit = { 
            id = 4183, 
            modifier = 0,
            events = {
                OnChange = TeamKitColorOnChange,
            },
        },
        TeamKitColor1GreenEdit = { 
            id = 4184, 
            modifier = 0,
            events = {
                OnChange = TeamKitColorOnChange,
            },
        },
        TeamKitColor1BlueEdit = { 
            id = 4185, 
            modifier = 0,
            events = {
                OnChange = TeamKitColorOnChange,
            },
        },
        TeamKitColor1PercentEdit = { 
            id = 4182, 
            modifier = 0,
            events = {
                OnChange = TeamKitColorOnChange,
            },
        },

        TeamKitColor2RedEdit = { 
            id = 4188, modifier = 0,
            events = {
                OnChange = TeamKitColorOnChange,
            },
        },
        TeamKitColor2GreenEdit = { 
            id = 4189, modifier = 0,
            events = {
                OnChange = TeamKitColorOnChange,
            },
        },
        TeamKitColor2BlueEdit = { 
            id = 4190, modifier = 0,
            events = {
                OnChange = TeamKitColorOnChange,
            },
        },
        TeamKitColor2PercentEdit = { 
            id = 4187, modifier = 0,
            events = {
                OnChange = TeamKitColorOnChange,
            },
        },

        TeamKitColor3RedEdit = { 
            id = 4193, modifier = 0,
            events = {
                OnChange = TeamKitColorOnChange,
            },
        },
        TeamKitColor3GreenEdit = { 
            id = 4194, modifier = 0,
            events = {
                OnChange = TeamKitColorOnChange,
            },
        },
        TeamKitColor3BlueEdit = { 
            id = 4195, modifier = 0,
            events = {
                OnChange = TeamKitColorOnChange,
            },
        },
        TeamKitColor3PercentEdit = { 
            id = 4192, modifier = 0,
            events = {
                OnChange = TeamKitColorOnChange,
            },
        }
    }
end

function get_competitionkits_desc()
    return {
        CompetitionKitCompetitionIDEdit = { id = 4412, modifier = 0},
        CompetitionKitTeamTechIDEdit = { id = 4443, modifier = 0},
        CompetitionKitTeamKitTypeTechIDEdit = { id = 4442, modifier = 0},
        CompetitionKitTeamYearEdit = { id = 4444, modifier = 0},

        CompetitionKitTeamJerseynamelayouttypeEdit = { id = 4420, modifier = 0},
        CompetitionKitTeamJerseynamefonttypeEdit = { id = 4419, modifier = 0},
        CompetitionKitTeamNumberfonttypeEdit = { id = 4430, modifier = 0},
        CompetitionKitTeamJerseybacknamefontcaseEdit = { id = 4413, modifier = 0},
        CompetitionKitTeamJerseybacknameplacementcodeEdit = { id = 4414, modifier = 0},
        CompetitionKitTeamJerseyfrontnumberplacementcodeEdit = { id = 4415, modifier = 0},

        CompetitionKitJerseyNumberColor1RedEdit = { 
            id = 4423, modifier = 0,
            events = {
                OnChange = CompetitionKitJerseyNumberColorOnChange,
            }
        },
        CompetitionKitJerseyNumberColor1GreenEdit = { 
            id = 4422, modifier = 0,
            events = {
                OnChange = CompetitionKitJerseyNumberColorOnChange,
            }
        },
        CompetitionKitJerseyNumberColor1BlueEdit = { 
            id = 4421, modifier = 0,
            events = {
                OnChange = CompetitionKitJerseyNumberColorOnChange,
            }
        },

        CompetitionKitJerseyNumberColor2RedEdit = { 
            id = 4426, modifier = 0,
            events = {
                OnChange = CompetitionKitJerseyNumberColorOnChange,
            }
        },
        CompetitionKitJerseyNumberColor2GreenEdit = { 
            id = 4425, modifier = 0,
            events = {
                OnChange = CompetitionKitJerseyNumberColorOnChange,
            }
        },
        CompetitionKitJerseyNumberColor2BlueEdit = { 
            id = 4424, modifier = 0,
            events = {
                OnChange = CompetitionKitJerseyNumberColorOnChange,
            }
        },

        CompetitionKitJerseyNumberColor3RedEdit = { 
            id = 4429, modifier = 0,
            events = {
                OnChange = CompetitionKitJerseyNumberColorOnChange,
            }
        },
        CompetitionKitJerseyNumberColor3GreenEdit = { 
            id = 4428, modifier = 0,
            events = {
                OnChange = CompetitionKitJerseyNumberColorOnChange,
            }
        },
        CompetitionKitJerseyNumberColor3BlueEdit = { 
            id = 4427, modifier = 0,
            events = {
                OnChange = CompetitionKitJerseyNumberColorOnChange,
            }
        },

        CompetitionKitJerseyNameColorRedEdit = { 
            id = 4418, modifier = 0,
            events = {
                OnChange = CompetitionJerseyNameColorOnChange,
            }
        },
        CompetitionKitJerseyNameColorGreenEdit = { 
            id = 4417, modifier = 0,
            events = {
                OnChange = CompetitionJerseyNameColorOnChange,
            }
        },
        CompetitionKitJerseyNameColorBlueEdit = { 
            id = 4416, modifier = 0,
            events = {
                OnChange = CompetitionJerseyNameColorOnChange,
            }
        },

        CompetitionKitTeamShortsnumberfonttypeEdit = { id = 4440, modifier = 0},
        CompetitionKitTeamShortsnumberplacementcodeEdit = { id = 4441, modifier = 0},

        CompetitionKitShortsNumberColor1RedEdit = { 
            id = 4433, modifier = 0,
            events = {
                OnChange = CompetitionKitShortsNumberColorOnChange,
            }
        },
        CompetitionKitShortsNumberColor1GreenEdit = { 
            id = 4432, modifier = 0,
            events = {
                OnChange = CompetitionKitShortsNumberColorOnChange,
            }
        },
        CompetitionKitShortsNumberColor1BlueEdit = { 
            id = 4431, modifier = 0,
            events = {
                OnChange = CompetitionKitShortsNumberColorOnChange,
            }
        },

        CompetitionKitShortsNumberColor2RedEdit = { 
            id = 4436, modifier = 0,
            events = {
                OnChange = CompetitionKitShortsNumberColorOnChange,
            }
        },
        CompetitionKitShortsNumberColor2GreenEdit = { 
            id = 4435, modifier = 0,
            events = {
                OnChange = CompetitionKitShortsNumberColorOnChange,
            }
        },
        CompetitionKitShortsNumberColor2BlueEdit = { 
            id = 4434, modifier = 0,
            events = {
                OnChange = CompetitionKitShortsNumberColorOnChange,
            }
        },

        CompetitionKitShortsNumberColor3RedEdit = { 
            id = 4439, modifier = 0,
            events = {
                OnChange = CompetitionKitShortsNumberColorOnChange,
            }
        },
        CompetitionKitShortsNumberColor3GreenEdit = { 
            id = 4438, modifier = 0,
            events = {
                OnChange = CompetitionKitShortsNumberColorOnChange,
            }
        },
        CompetitionKitShortsNumberColor3BlueEdit = { 
            id = 4437, modifier = 0,
            events = {
                OnChange = CompetitionKitShortsNumberColorOnChange,
            }
        },
    }
end

function get_default_mentalities_desc()
    return {
        mentalityid = { id = 4810, modifier = 0},
        position3 = { id = 4745, modifier = -1},
        position7 = { id = 4741, modifier = -1},
        teamid = { id = 4737, modifier = -1},
        playerid10 = { id = 4783, modifier = -1},
        sourceformationid = { id = 4738, modifier = -1},
        offset8y = { id = 4788, modifier = 0},
        playerid6 = { id = 4778, modifier = -1},
        playerid2 = { id = 4782, modifier = -1},
        offensivewidth = { id = 4808, modifier = 0},
        formationaudioid = { id = 4812, modifier = -1},
        offset9y = { id = 4786, modifier = 0},
        offset9x = { id = 4787, modifier = 0},
        playerinstruction10_2 = { id = 4771, modifier = 0},
        offset8x = { id = 4789, modifier = 0},
        playerid3 = { id = 4781, modifier = -1},
        playerid7 = { id = 4777, modifier = -1},
        defensivestyle = { id = 4814, modifier = 0},
        playerinstruction8_1 = { id = 4756, modifier = 0},
        playerinstruction9_1 = { id = 4754, modifier = 0},
        playerinstruction0_1 = { id = 4774, modifier = 0},
        playerinstruction1_1 = { id = 4770, modifier = 0},
        playerinstruction3_1 = { id = 4766, modifier = 0},
        playerinstruction2_1 = { id = 4768, modifier = 0},
        playerinstruction6_1 = { id = 4760, modifier = 0},
        playerinstruction7_1 = { id = 4758, modifier = 0},
        playerinstruction5_1 = { id = 4762, modifier = 0},
        playerinstruction4_1 = { id = 4764, modifier = 0},
        position6 = { id = 4742, modifier = -1},
        position2 = { id = 4746, modifier = -1},
        playersinboxfk = { id = 4750, modifier = 0},
        offset1x = { id = 4803, modifier = 0},
        playersinboxcross = { id = 4751, modifier = 0},
        position10 = { id = 4747, modifier = -1},
        offset4y = { id = 4796, modifier = 0},
        offensivestyle = { id = 4809, modifier = 0},
        offset5y = { id = 4794, modifier = 0},
        position8 = { id = 4740, modifier = -1},
        offset0x = { id = 4807, modifier = 0},
        position0 = { id = 4749, modifier = -1},
        position4 = { id = 4744, modifier = -1},
        offset7y = { id = 4790, modifier = 0},
        offset10x = { id = 4805, modifier = 0},
        defensivedepth = { id = 4815, modifier = 0},
        offset2x = { id = 4801, modifier = 0},
        playerid5 = { id = 4779, modifier = -1},
        offset3x = { id = 4799, modifier = 0},
        playerid1 = { id = 4784, modifier = -1},
        offset6y = { id = 4792, modifier = 0},
        playerid9 = { id = 4775, modifier = -1},
        playersinboxcorner = { id = 4752, modifier = 0},
        playerid0 = { id = 4785, modifier = -1},
        playerid4 = { id = 4780, modifier = -1},
        offset3y = { id = 4798, modifier = 0},
        playerid8 = { id = 4776, modifier = -1},
        offset6x = { id = 4793, modifier = 0},
        offset10y = { id = 4804, modifier = 0},
        playerinstruction10_1 = { id = 4772, modifier = 0},
        offset7x = { id = 4791, modifier = 0},
        offset2y = { id = 4800, modifier = 0},
        formationfullnameid = { id = 4811, modifier = -1},
        defensivewidth = { id = 4813, modifier = 0},
        position9 = { id = 4739, modifier = -1},
        offset5x = { id = 4795, modifier = 0},
        position5 = { id = 4743, modifier = -1},
        position1 = { id = 4748, modifier = -1},
        offset0y = { id = 4806, modifier = 0},
        playerinstruction1_2 = { id = 4769, modifier = 0},
        playerinstruction0_2 = { id = 4773, modifier = 0},
        playerinstruction2_2 = { id = 4767, modifier = 0},
        playerinstruction3_2 = { id = 4765, modifier = 0},
        playerinstruction7_2 = { id = 4757, modifier = 0},
        playerinstruction6_2 = { id = 4759, modifier = 0},
        playerinstruction4_2 = { id = 4763, modifier = 0},
        playerinstruction5_2 = { id = 4761, modifier = 0},
        offset1y = { id = 4802, modifier = 0},
        offset4x = { id = 4797, modifier = 0},
        playerinstruction9_2 = { id = 4753, modifier = 0},
        playerinstruction8_2 = { id = 4755, modifier = 0},
    }
end

function get_default_teamsheets_desc()
    return {
        teamid = { id = 4669, modifier = 1},
        customsub1in = { id = 4732, modifier = -1},
        customsub2out = { id = 4729, modifier = -1},
        customsub0in = { id = 4734, modifier = -1},
        customsub2in = { id = 4730, modifier = -1},
        playerid51 = { id = 4676, modifier = -1},
        penaltytakerid = { id = 4724, modifier = -1},
        playerid10 = { id = 4721, modifier = -1},
        customsub1out = { id = 4731, modifier = -1},
        playerid49 = { id = 4679, modifier = -1},
        playerid14 = { id = 4717, modifier = -1},
        playerid41 = { id = 4687, modifier = -1},
        playerid45 = { id = 4683, modifier = -1},
        playerid18 = { id = 4713, modifier = -1},
        captainid = { id = 4735, modifier = -1},
        playerid30 = { id = 4699, modifier = -1},
        playerid34 = { id = 4695, modifier = -1},
        playerid6 = { id = 4675, modifier = -1},
        playerid2 = { id = 4711, modifier = -1},
        playerid38 = { id = 4691, modifier = -1},
        longkicktakerid = { id = 4725, modifier = -1},
        playerid28 = { id = 4702, modifier = -1},
        playerid20 = { id = 4710, modifier = -1},
        playerid24 = { id = 4706, modifier = -1},
        playerid29 = { id = 4701, modifier = -1},
        playerid25 = { id = 4705, modifier = -1},
        leftcornerkicktakerid = { id = 4727, modifier = -1},
        playerid21 = { id = 4709, modifier = -1},
        playerid35 = { id = 4694, modifier = -1},
        playerid31 = { id = 4698, modifier = -1},
        playerid3 = { id = 4700, modifier = -1},
        playerid39 = { id = 4690, modifier = -1},
        playerid7 = { id = 4674, modifier = -1},
        playerid15 = { id = 4716, modifier = -1},
        playerid48 = { id = 4680, modifier = -1},
        playerid11 = { id = 4720, modifier = -1},
        playerid19 = { id = 4712, modifier = -1},
        playerid44 = { id = 4684, modifier = -1},
        playerid40 = { id = 4688, modifier = -1},
        playerid50 = { id = 4677, modifier = -1},
        playerid42 = { id = 4686, modifier = -1},
        playerid46 = { id = 4682, modifier = -1},
        playerid13 = { id = 4718, modifier = -1},
        freekicktakerid = { id = 4728, modifier = -1},
        playerid17 = { id = 4714, modifier = -1},
        leftfreekicktakerid = { id = 4726, modifier = -1},
        playerid23 = { id = 4707, modifier = -1},
        playerid27 = { id = 4703, modifier = -1},
        customsub0out = { id = 4733, modifier = -1},
        playerid5 = { id = 4678, modifier = -1},
        playerid1 = { id = 4722, modifier = -1},
        playerid33 = { id = 4696, modifier = -1},
        playerid9 = { id = 4672, modifier = -1},
        playerid37 = { id = 4692, modifier = -1},
        playerid0 = { id = 4723, modifier = -1},
        playerid4 = { id = 4689, modifier = -1},
        playerid36 = { id = 4693, modifier = -1},
        playerid32 = { id = 4697, modifier = -1},
        playerid8 = { id = 4673, modifier = -1},
        playerid26 = { id = 4704, modifier = -1},
        playerid22 = { id = 4708, modifier = -1},
        rightcornerkicktakerid = { id = 4671, modifier = -1},
        playerid47 = { id = 4681, modifier = -1},
        playerid43 = { id = 4685, modifier = -1},
        playerid16 = { id = 4715, modifier = -1},
        rightfreekicktakerid = { id = 4670, modifier = -1},
        playerid12 = { id = 4719, modifier = -1}
    }
end

TEAMS_TAB_PANEL_MAP = {
    TeamInfoTab = "TeamInfoPanel",
    TeamFormationTab = "TeamFormationPanel",
    TeamManagerTab = "TeamManagerPanel",
    TeamKitsTab = "TeamKitsPanel",
}

TEAMS_KITS_TAB_PANEL_MAP = {
    TeamKitsGeneralTab = "TeamKitsKitPanel",
    TeamKitsJerseyTab = "TeamKitsJerseyPanel",
    TeamKitsShortsTab = "TeamKitsShortsPanel",
}

COMPETITION_KITS_TAB_PANEL_MAP = {
    CompetitionKitsGeneralTab = "TeamCompetitionKitsKitPanel",
    CompetitionKitsJerseyTab = "TeamCompetitionKitsJerseyPanel",
    CompetitionKitsShortsTab = "TeamCompetitionKitsShortsPanel",
}

FORMATIONS_DATA = {
    [0] = {
        position0 = 0,
        position1 = 3,
        position2 = 4,
        position3 = 6,
        position4 = 7,
        position5 = 9,
        position6 = 11,
        position7 = 12,
        position8 = 16,
        position9 = 18,
        position10 = 25,
        offset0x = 0.5,
        offset0y = 0.0175,
        offset1x = 0.925,
        offset1y = 0.2,
        offset2x = 0.675,
        offset2y = 0.15,
        offset3x = 0.325,
        offset3y = 0.15,
        offset4x = 0.075,
        offset4y = 0.2,
        offset5x = 0.65,
        offset5y = 0.3375,
        offset6x = 0.35,
        offset6y = 0.3375,
        offset7x = 0.925,
        offset7y = 0.5875,
        offset8x = 0.075,
        offset8y = 0.5875,
        offset9x = 0.5,
        offset9y = 0.6625,
        offset10x = 0.4995,
        offset10y = 0.875,
        formationfullnameid = 3,
        formationaudioid = 14,
        sourceformationid = 0
    },
    [1] = {
        position0 = 0,
        position1 = 3,
        position2 = 4,
        position3 = 6,
        position4 = 7,
        position5 = 10,
        position6 = 12,
        position7 = 14,
        position8 = 16,
        position9 = 24,
        position10 = 26,
        offset0x = 0.5,
        offset0y = 0.0175,
        offset1x = 0.925,
        offset1y = 0.2,
        offset2x = 0.672,
        offset2y = 0.1521,
        offset3x = 0.325,
        offset3y = 0.15,
        offset4x = 0.075,
        offset4y = 0.2,
        offset5x = 0.5,
        offset5y = 0.3375,
        offset6x = 0.925,
        offset6y = 0.5875,
        offset7x = 0.5,
        offset7y = 0.5125,
        offset8x = 0.075,
        offset8y = 0.5875,
        offset9x = 0.6,
        offset9y = 0.875,
        offset10x = 0.39,
        offset10y = 0.875,
        formationfullnameid = -1,
        formationaudioid = 12,
        sourceformationid = 1
    },
    [2] = {
        position0 = 0,
        position1 = 3,
        position2 = 4,
        position3 = 6,
        position4 = 7,
        position5 = 10,
        position6 = 12,
        position7 = 13,
        position8 = 15,
        position9 = 16,
        position10 = 25,
        offset0x = 0.5,
        offset0y = 0.0175,
        offset1x = 0.925,
        offset1y = 0.2,
        offset2x = 0.675,
        offset2y = 0.15,
        offset3x = 0.325,
        offset3y = 0.15,
        offset4x = 0.075,
        offset4y = 0.2,
        offset5x = 0.5,
        offset5y = 0.3375,
        offset6x = 0.925,
        offset6y = 0.5875,
        offset7x = 0.64,
        offset7y = 0.55,
        offset8x = 0.3561,
        offset8y = 0.55,
        offset9x = 0.075,
        offset9y = 0.5875,
        offset10x = 0.4995,
        offset10y = 0.875,
        formationfullnameid = -1,
        formationaudioid = 15,
        sourceformationid = 2
    },
    [3] = {
        position0 = 0,
        position1 = 3,
        position2 = 4,
        position3 = 6,
        position4 = 7,
        position5 = 9,
        position6 = 11,
        position7 = 17,
        position8 = 18,
        position9 = 19,
        position10 = 25,
        offset0x = 0.5,
        offset0y = 0.0175,
        offset1x = 0.925,
        offset1y = 0.2,
        offset2x = 0.7125,
        offset2y = 0.175,
        offset3x = 0.2875,
        offset3y = 0.175,
        offset4x = 0.075,
        offset4y = 0.2,
        offset5x = 0.65,
        offset5y = 0.3375,
        offset6x = 0.35,
        offset6y = 0.3375,
        offset7x = 0.8,
        offset7y = 0.6625,
        offset8x = 0.5,
        offset8y = 0.6625,
        offset9x = 0.2,
        offset9y = 0.6625,
        offset10x = 0.4995,
        offset10y = 0.875,
        formationfullnameid = 16,
        formationaudioid = 14,
        sourceformationid = 3
    },
    [4] = {
        position0 = 0,
        position1 = 3,
        position2 = 4,
        position3 = 6,
        position4 = 7,
        position5 = 9,
        position6 = 11,
        position7 = 12,
        position8 = 16,
        position9 = 18,
        position10 = 25,
        offset0x = 0.5,
        offset0y = 0.015,
        offset1x = 0.945,
        offset1y = 0.225,
        offset2x = 0.65,
        offset2y = 0.15,
        offset3x = 0.35,
        offset3y = 0.15,
        offset4x = 0.055,
        offset4y = 0.225,
        offset5x = 0.65,
        offset5y = 0.3375,
        offset6x = 0.35,
        offset6y = 0.3375,
        offset7x = 0.91,
        offset7y = 0.56,
        offset8x = 0.09,
        offset8y = 0.56,
        offset9x = 0.5,
        offset9y = 0.66,
        offset10x = 0.4995,
        offset10y = 0.875,
        formationfullnameid = 3,
        formationaudioid = 14,
        sourceformationid = 4
    },
    [5] = {
        position0 = 0,
        position1 = 3,
        position2 = 4,
        position3 = 6,
        position4 = 7,
        position5 = 13,
        position6 = 15,
        position7 = 23,
        position8 = 24,
        position9 = 26,
        position10 = 27,
        offset0x = 0.5,
        offset0y = 0.015,
        offset1x = 0.945,
        offset1y = 0.225,
        offset2x = 0.65,
        offset2y = 0.15,
        offset3x = 0.35,
        offset3y = 0.15,
        offset4x = 0.055,
        offset4y = 0.225,
        offset5x = 0.65,
        offset5y = 0.5125,
        offset6x = 0.35,
        offset6y = 0.5125,
        offset7x = 0.9,
        offset7y = 0.8325,
        offset8x = 0.6,
        offset8y = 0.875,
        offset9x = 0.39,
        offset9y = 0.875,
        offset10x = 0.1,
        offset10y = 0.8325,
        formationfullnameid = -1,
        formationaudioid = 2,
        sourceformationid = 5
    },
    [6] = {
        position0 = 0,
        position1 = 3,
        position2 = 4,
        position3 = 6,
        position4 = 7,
        position5 = 13,
        position6 = 14,
        position7 = 15,
        position8 = 18,
        position9 = 24,
        position10 = 26,
        offset0x = 0.5,
        offset0y = 0.0175,
        offset1x = 0.9,
        offset1y = 0.225,
        offset2x = 0.6375,
        offset2y = 0.175,
        offset3x = 0.3625,
        offset3y = 0.175,
        offset4x = 0.1,
        offset4y = 0.225,
        offset5x = 0.66,
        offset5y = 0.55,
        offset6x = 0.5,
        offset6y = 0.4785,
        offset7x = 0.34,
        offset7y = 0.55,
        offset8x = 0.5,
        offset8y = 0.7,
        offset9x = 0.61,
        offset9y = 0.85,
        offset10x = 0.4,
        offset10y = 0.85,
        formationfullnameid = -1,
        formationaudioid = 9,
        sourceformationid = 6
    },
    [7] = {
        position0 = 0,
        position1 = 3,
        position2 = 4,
        position3 = 6,
        position4 = 7,
        position5 = 13,
        position6 = 14,
        position7 = 15,
        position8 = 20,
        position9 = 22,
        position10 = 25,
        offset0x = 0.5,
        offset0y = 0.0175,
        offset1x = 0.95,
        offset1y = 0.225,
        offset2x = 0.6708,
        offset2y = 0.1644,
        offset3x = 0.327,
        offset3y = 0.1686,
        offset4x = 0.05,
        offset4y = 0.225,
        offset5x = 0.65,
        offset5y = 0.5125,
        offset6x = 0.5,
        offset6y = 0.475,
        offset7x = 0.35,
        offset7y = 0.5125,
        offset8x = 0.7125,
        offset8y = 0.75,
        offset9x = 0.2875,
        offset9y = 0.75,
        offset10x = 0.4995,
        offset10y = 0.875,
        formationfullnameid = 20,
        formationaudioid = 8,
        sourceformationid = 7
    },
    [8] = {
        position0 = 0,
        position1 = 3,
        position2 = 4,
        position3 = 6,
        position4 = 7,
        position5 = 13,
        position6 = 14,
        position7 = 15,
        position8 = 23,
        position9 = 25,
        position10 = 27,
        offset0x = 0.5,
        offset0y = 0.0175,
        offset1x = 0.925,
        offset1y = 0.2,
        offset2x = 0.675,
        offset2y = 0.15,
        offset3x = 0.325,
        offset3y = 0.15,
        offset4x = 0.075,
        offset4y = 0.2,
        offset5x = 0.65,
        offset5y = 0.5125,
        offset6x = 0.5,
        offset6y = 0.5125,
        offset7x = 0.35,
        offset7y = 0.5125,
        offset8x = 0.925,
        offset8y = 0.825,
        offset9x = 0.4995,
        offset9y = 0.875,
        offset10x = 0.075,
        offset10y = 0.825,
        formationfullnameid = 17,
        formationaudioid = 6,
        sourceformationid = 8
    },
    [9] = {
        position0 = 0,
        position1 = 3,
        position2 = 4,
        position3 = 6,
        position4 = 7,
        position5 = 10,
        position6 = 13,
        position7 = 15,
        position8 = 23,
        position9 = 25,
        position10 = 27,
        offset0x = 0.5,
        offset0y = 0.0175,
        offset1x = 0.9,
        offset1y = 0.2,
        offset2x = 0.675,
        offset2y = 0.15,
        offset3x = 0.325,
        offset3y = 0.15,
        offset4x = 0.075,
        offset4y = 0.2,
        offset5x = 0.5,
        offset5y = 0.3375,
        offset6x = 0.65,
        offset6y = 0.5125,
        offset7x = 0.35,
        offset7y = 0.5125,
        offset8x = 0.925,
        offset8y = 0.825,
        offset9x = 0.4995,
        offset9y = 0.875,
        offset10x = 0.075,
        offset10y = 0.825,
        formationfullnameid = 7,
        formationaudioid = 6,
        sourceformationid = 9
    },
    [10] = {
        position0 = 0,
        position1 = 3,
        position2 = 4,
        position3 = 6,
        position4 = 7,
        position5 = 9,
        position6 = 11,
        position7 = 14,
        position8 = 23,
        position9 = 25,
        position10 = 27,
        offset0x = 0.5,
        offset0y = 0.0175,
        offset1x = 0.925,
        offset1y = 0.2,
        offset2x = 0.675,
        offset2y = 0.15,
        offset3x = 0.325,
        offset3y = 0.1394,
        offset4x = 0.075,
        offset4y = 0.2,
        offset5x = 0.65,
        offset5y = 0.3375,
        offset6x = 0.35,
        offset6y = 0.3375,
        offset7x = 0.5,
        offset7y = 0.5125,
        offset8x = 0.925,
        offset8y = 0.825,
        offset9x = 0.4995,
        offset9y = 0.875,
        offset10x = 0.075,
        offset10y = 0.825,
        formationfullnameid = 5,
        formationaudioid = 6,
        sourceformationid = 10
    },
    [11] = {
        position0 = 0,
        position1 = 3,
        position2 = 4,
        position3 = 6,
        position4 = 7,
        position5 = 13,
        position6 = 15,
        position7 = 18,
        position8 = 23,
        position9 = 25,
        position10 = 27,
        offset0x = 0.5,
        offset0y = 0.015,
        offset1x = 0.945,
        offset1y = 0.225,
        offset2x = 0.65,
        offset2y = 0.15,
        offset3x = 0.35,
        offset3y = 0.15,
        offset4x = 0.055,
        offset4y = 0.225,
        offset5x = 0.65,
        offset5y = 0.5125,
        offset6x = 0.35,
        offset6y = 0.5125,
        offset7x = 0.5,
        offset7y = 0.66,
        offset8x = 0.9,
        offset8y = 0.85,
        offset9x = 0.4995,
        offset9y = 0.875,
        offset10x = 0.1,
        offset10y = 0.85,
        formationfullnameid = 4,
        formationaudioid = 6,
        sourceformationid = 11
    },
    [12] = {
        position0 = 0,
        position1 = 3,
        position2 = 4,
        position3 = 6,
        position4 = 7,
        position5 = 10,
        position6 = 13,
        position7 = 15,
        position8 = 21,
        position9 = 23,
        position10 = 27,
        offset0x = 0.5,
        offset0y = 0.0175,
        offset1x = 0.9189,
        offset1y = 0.1957,
        offset2x = 0.675,
        offset2y = 0.15,
        offset3x = 0.325,
        offset3y = 0.15,
        offset4x = 0.075,
        offset4y = 0.2,
        offset5x = 0.5,
        offset5y = 0.3375,
        offset6x = 0.65,
        offset6y = 0.5125,
        offset7x = 0.35,
        offset7y = 0.5125,
        offset8x = 0.5,
        offset8y = 0.75,
        offset9x = 0.925,
        offset9y = 0.825,
        offset10x = 0.075,
        offset10y = 0.825,
        formationfullnameid = 6,
        formationaudioid = 7,
        sourceformationid = 12
    },
    [13] = {
        position0 = 0,
        position1 = 3,
        position2 = 4,
        position3 = 6,
        position4 = 7,
        position5 = 9,
        position6 = 11,
        position7 = 17,
        position8 = 19,
        position9 = 24,
        position10 = 26,
        offset0x = 0.5,
        offset0y = 0.0175,
        offset1x = 0.925,
        offset1y = 0.2,
        offset2x = 0.6587,
        offset2y = 0.15,
        offset3x = 0.325,
        offset3y = 0.15,
        offset4x = 0.075,
        offset4y = 0.2,
        offset5x = 0.66,
        offset5y = 0.3673,
        offset6x = 0.36,
        offset6y = 0.375,
        offset7x = 0.8,
        offset7y = 0.6625,
        offset8x = 0.2,
        offset8y = 0.6625,
        offset9x = 0.6,
        offset9y = 0.875,
        offset10x = 0.39,
        offset10y = 0.875,
        formationfullnameid = -1,
        formationaudioid = 10,
        sourceformationid = 13
    },
    [14] = {
        position0 = 0,
        position1 = 3,
        position2 = 4,
        position3 = 6,
        position4 = 7,
        position5 = 10,
        position6 = 12,
        position7 = 16,
        position8 = 18,
        position9 = 24,
        position10 = 26,
        offset0x = 0.5,
        offset0y = 0.0175,
        offset1x = 0.9,
        offset1y = 0.2085,
        offset2x = 0.675,
        offset2y = 0.15,
        offset3x = 0.325,
        offset3y = 0.15,
        offset4x = 0.075,
        offset4y = 0.2,
        offset5x = 0.4974,
        offset5y = 0.3622,
        offset6x = 0.9212,
        offset6y = 0.65,
        offset7x = 0.075,
        offset7y = 0.65,
        offset8x = 0.4939,
        offset8y = 0.7,
        offset9x = 0.61,
        offset9y = 0.875,
        offset10x = 0.38,
        offset10y = 0.875,
        formationfullnameid = 10,
        formationaudioid = 11,
        sourceformationid = 14
    },
    [15] = {
        position0 = 0,
        position1 = 3,
        position2 = 4,
        position3 = 6,
        position4 = 7,
        position5 = 10,
        position6 = 13,
        position7 = 15,
        position8 = 18,
        position9 = 24,
        position10 = 26,
        offset0x = 0.5,
        offset0y = 0.0175,
        offset1x = 0.925,
        offset1y = 0.2,
        offset2x = 0.675,
        offset2y = 0.15,
        offset3x = 0.325,
        offset3y = 0.15,
        offset4x = 0.075,
        offset4y = 0.2,
        offset5x = 0.5,
        offset5y = 0.3375,
        offset6x = 0.65,
        offset6y = 0.5125,
        offset7x = 0.35,
        offset7y = 0.5125,
        offset8x = 0.5,
        offset8y = 0.6646,
        offset9x = 0.6,
        offset9y = 0.875,
        offset10x = 0.39,
        offset10y = 0.875,
        formationfullnameid = 9,
        formationaudioid = 11,
        sourceformationid = 15
    },
    [16] = {
        position0 = 0,
        position1 = 3,
        position2 = 4,
        position3 = 6,
        position4 = 7,
        position5 = 12,
        position6 = 13,
        position7 = 15,
        position8 = 16,
        position9 = 24,
        position10 = 26,
        offset0x = 0.5,
        offset0y = 0.0175,
        offset1x = 0.925,
        offset1y = 0.2,
        offset2x = 0.675,
        offset2y = 0.15,
        offset3x = 0.325,
        offset3y = 0.15,
        offset4x = 0.075,
        offset4y = 0.2,
        offset5x = 0.925,
        offset5y = 0.5875,
        offset6x = 0.65,
        offset6y = 0.5125,
        offset7x = 0.35,
        offset7y = 0.5125,
        offset8x = 0.075,
        offset8y = 0.5875,
        offset9x = 0.6,
        offset9y = 0.875,
        offset10x = 0.39,
        offset10y = 0.875,
        formationfullnameid = 11,
        formationaudioid = 10,
        sourceformationid = 16
    },
    [17] = {
        position0 = 0,
        position1 = 3,
        position2 = 4,
        position3 = 6,
        position4 = 7,
        position5 = 9,
        position6 = 11,
        position7 = 12,
        position8 = 16,
        position9 = 24,
        position10 = 26,
        offset0x = 0.5,
        offset0y = 0.0175,
        offset1x = 0.925,
        offset1y = 0.2,
        offset2x = 0.6568,
        offset2y = 0.15,
        offset3x = 0.3523,
        offset3y = 0.1543,
        offset4x = 0.075,
        offset4y = 0.2,
        offset5x = 0.65,
        offset5y = 0.3375,
        offset6x = 0.35,
        offset6y = 0.3375,
        offset7x = 0.925,
        offset7y = 0.5875,
        offset8x = 0.075,
        offset8y = 0.5875,
        offset9x = 0.6,
        offset9y = 0.875,
        offset10x = 0.39,
        offset10y = 0.875,
        formationfullnameid = 12,
        formationaudioid = 10,
        sourceformationid = 17
    },
    [18] = {
        position0 = 0,
        position1 = 3,
        position2 = 4,
        position3 = 6,
        position4 = 7,
        position5 = 12,
        position6 = 13,
        position7 = 15,
        position8 = 16,
        position9 = 18,
        position10 = 25,
        offset0x = 0.5,
        offset0y = 0.0175,
        offset1x = 0.925,
        offset1y = 0.2,
        offset2x = 0.675,
        offset2y = 0.15,
        offset3x = 0.325,
        offset3y = 0.15,
        offset4x = 0.075,
        offset4y = 0.2,
        offset5x = 0.9008,
        offset5y = 0.6492,
        offset6x = 0.653,
        offset6y = 0.5359,
        offset7x = 0.3409,
        offset7y = 0.5444,
        offset8x = 0.075,
        offset8y = 0.6428,
        offset9x = 0.5,
        offset9y = 0.6625,
        offset10x = 0.4995,
        offset10y = 0.875,
        formationfullnameid = 18,
        formationaudioid = 14,
        sourceformationid = 18
    },
    [19] = {
        position0 = 0,
        position1 = 3,
        position2 = 4,
        position3 = 6,
        position4 = 7,
        position5 = 12,
        position6 = 13,
        position7 = 15,
        position8 = 16,
        position9 = 21,
        position10 = 25,
        offset0x = 0.5,
        offset0y = 0.0175,
        offset1x = 0.925,
        offset1y = 0.2,
        offset2x = 0.675,
        offset2y = 0.15,
        offset3x = 0.325,
        offset3y = 0.15,
        offset4x = 0.075,
        offset4y = 0.2,
        offset5x = 0.9,
        offset5y = 0.65,
        offset6x = 0.65,
        offset6y = 0.5125,
        offset7x = 0.35,
        offset7y = 0.5125,
        offset8x = 0.1,
        offset8y = 0.65,
        offset9x = 0.5,
        offset9y = 0.75,
        offset10x = 0.4995,
        offset10y = 0.875,
        formationfullnameid = 8,
        formationaudioid = 13,
        sourceformationid = 19
    },
    [20] = {
        position0 = 0,
        position1 = 3,
        position2 = 4,
        position3 = 6,
        position4 = 7,
        position5 = 12,
        position6 = 13,
        position7 = 14,
        position8 = 15,
        position9 = 16,
        position10 = 25,
        offset0x = 0.5,
        offset0y = 0.0175,
        offset1x = 0.925,
        offset1y = 0.2,
        offset2x = 0.675,
        offset2y = 0.15,
        offset3x = 0.325,
        offset3y = 0.15,
        offset4x = 0.075,
        offset4y = 0.2,
        offset5x = 0.925,
        offset5y = 0.5875,
        offset6x = 0.65,
        offset6y = 0.5125,
        offset7x = 0.5,
        offset7y = 0.5125,
        offset8x = 0.35,
        offset8y = 0.5125,
        offset9x = 0.075,
        offset9y = 0.5875,
        offset10x = 0.4995,
        offset10y = 0.875,
        formationfullnameid = 19,
        formationaudioid = 15,
        sourceformationid = 20
    },
    [21] = {
        position0 = 0,
        position1 = 3,
        position2 = 4,
        position3 = 6,
        position4 = 7,
        position5 = 12,
        position6 = 14,
        position7 = 16,
        position8 = 17,
        position9 = 19,
        position10 = 25,
        offset0x = 0.5,
        offset0y = 0.015,
        offset1x = 0.945,
        offset1y = 0.225,
        offset2x = 0.65,
        offset2y = 0.15,
        offset3x = 0.35,
        offset3y = 0.15,
        offset4x = 0.055,
        offset4y = 0.225,
        offset5x = 0.9,
        offset5y = 0.525,
        offset6x = 0.5,
        offset6y = 0.475,
        offset7x = 0.1,
        offset7y = 0.525,
        offset8x = 0.75,
        offset8y = 0.67,
        offset9x = 0.25,
        offset9y = 0.67,
        offset10x = 0.4995,
        offset10y = 0.875,
        formationfullnameid = 15,
        formationaudioid = 14,
        sourceformationid = 21
    },
    [22] = {
        position0 = 0,
        position1 = 4,
        position2 = 5,
        position3 = 6,
        position4 = 10,
        position5 = 12,
        position6 = 13,
        position7 = 15,
        position8 = 16,
        position9 = 24,
        position10 = 26,
        offset0x = 0.5,
        offset0y = 0.0175,
        offset1x = 0.67,
        offset1y = 0.125,
        offset2x = 0.5,
        offset2y = 0.15,
        offset3x = 0.33,
        offset3y = 0.125,
        offset4x = 0.5,
        offset4y = 0.3375,
        offset5x = 0.9,
        offset5y = 0.65,
        offset6x = 0.65,
        offset6y = 0.5125,
        offset7x = 0.35,
        offset7y = 0.5125,
        offset8x = 0.1,
        offset8y = 0.65,
        offset9x = 0.6,
        offset9y = 0.875,
        offset10x = 0.39,
        offset10y = 0.875,
        formationfullnameid = -1,
        formationaudioid = 1,
        sourceformationid = 22
    },
    [23] = {
        position0 = 0,
        position1 = 4,
        position2 = 5,
        position3 = 6,
        position4 = 12,
        position5 = 13,
        position6 = 15,
        position7 = 16,
        position8 = 18,
        position9 = 24,
        position10 = 26,
        offset0x = 0.5,
        offset0y = 0.0175,
        offset1x = 0.7125,
        offset1y = 0.175,
        offset2x = 0.5025,
        offset2y = 0.125,
        offset3x = 0.2875,
        offset3y = 0.175,
        offset4x = 0.95,
        offset4y = 0.525,
        offset5x = 0.66,
        offset5y = 0.475,
        offset6x = 0.34,
        offset6y = 0.475,
        offset7x = 0.05,
        offset7y = 0.525,
        offset8x = 0.5,
        offset8y = 0.6625,
        offset9x = 0.6,
        offset9y = 0.875,
        offset10x = 0.39,
        offset10y = 0.875,
        formationfullnameid = -1,
        formationaudioid = 1,
        sourceformationid = 23
    },
    [24] = {
        position0 = 0,
        position1 = 4,
        position2 = 5,
        position3 = 6,
        position4 = 12,
        position5 = 13,
        position6 = 15,
        position7 = 16,
        position8 = 20,
        position9 = 22,
        position10 = 25,
        offset0x = 0.5,
        offset0y = 0.0175,
        offset1x = 0.6817,
        offset1y = 0.1509,
        offset2x = 0.5,
        offset2y = 0.15,
        offset3x = 0.3204,
        offset3y = 0.1521,
        offset4x = 0.925,
        offset4y = 0.5875,
        offset5x = 0.65,
        offset5y = 0.5061,
        offset6x = 0.3439,
        offset6y = 0.475,
        offset7x = 0.075,
        offset7y = 0.5875,
        offset8x = 0.7095,
        offset8y = 0.725,
        offset9x = 0.2875,
        offset9y = 0.75,
        offset10x = 0.4995,
        offset10y = 0.875,
        formationfullnameid = 21,
        formationaudioid = 0,
        sourceformationid = 24
    },
    [25] = {
        position0 = 0,
        position1 = 4,
        position2 = 5,
        position3 = 6,
        position4 = 12,
        position5 = 13,
        position6 = 15,
        position7 = 16,
        position8 = 23,
        position9 = 25,
        position10 = 27,
        offset0x = 0.5,
        offset0y = 0.0175,
        offset1x = 0.7125,
        offset1y = 0.175,
        offset2x = 0.5,
        offset2y = 0.15,
        offset3x = 0.2875,
        offset3y = 0.175,
        offset4x = 0.928,
        offset4y = 0.525,
        offset5x = 0.65,
        offset5y = 0.5125,
        offset6x = 0.35,
        offset6y = 0.5125,
        offset7x = 0.078,
        offset7y = 0.525,
        offset8x = 0.9,
        offset8y = 0.775,
        offset9x = 0.4995,
        offset9y = 0.875,
        offset10x = 0.1,
        offset10y = 0.775,
        formationfullnameid = 2,
        formationaudioid = 0,
        sourceformationid = 25
    },
    [26] = {
        position0 = 0,
        position1 = 4,
        position2 = 5,
        position3 = 6,
        position4 = 10,
        position5 = 12,
        position6 = 16,
        position7 = 18,
        position8 = 23,
        position9 = 25,
        position10 = 27,
        offset0x = 0.5,
        offset0y = 0.015,
        offset1x = 0.7125,
        offset1y = 0.125,
        offset2x = 0.5,
        offset2y = 0.175,
        offset3x = 0.2875,
        offset3y = 0.125,
        offset4x = 0.5,
        offset4y = 0.375,
        offset5x = 0.9,
        offset5y = 0.55,
        offset6x = 0.1,
        offset6y = 0.55,
        offset7x = 0.5,
        offset7y = 0.65,
        offset8x = 0.9,
        offset8y = 0.85,
        offset9x = 0.4995,
        offset9y = 0.875,
        offset10x = 0.1,
        offset10y = 0.85,
        formationfullnameid = 1,
        formationaudioid = 0,
        sourceformationid = 26
    },
    [27] = {
        position0 = 0,
        position1 = 4,
        position2 = 5,
        position3 = 6,
        position4 = 9,
        position5 = 11,
        position6 = 12,
        position7 = 16,
        position8 = 18,
        position9 = 24,
        position10 = 26,
        offset0x = 0.5,
        offset0y = 0.015,
        offset1x = 0.7125,
        offset1y = 0.125,
        offset2x = 0.5,
        offset2y = 0.175,
        offset3x = 0.2875,
        offset3y = 0.125,
        offset4x = 0.65,
        offset4y = 0.3375,
        offset5x = 0.35,
        offset5y = 0.3375,
        offset6x = 0.92,
        offset6y = 0.525,
        offset7x = 0.08,
        offset7y = 0.525,
        offset8x = 0.5,
        offset8y = 0.62,
        offset9x = 0.6,
        offset9y = 0.875,
        offset10x = 0.39,
        offset10y = 0.875,
        formationfullnameid = 22,
        formationaudioid = 1,
        sourceformationid = 27
    },
    [28] = {
        position0 = 0,
        position1 = 4,
        position2 = 5,
        position3 = 6,
        position4 = 9,
        position5 = 11,
        position6 = 12,
        position7 = 14,
        position8 = 16,
        position9 = 21,
        position10 = 25,
        offset0x = 0.5,
        offset0y = 0.0175,
        offset1x = 0.67,
        offset1y = 0.125,
        offset2x = 0.5,
        offset2y = 0.15,
        offset3x = 0.33,
        offset3y = 0.125,
        offset4x = 0.65,
        offset4y = 0.3375,
        offset5x = 0.35,
        offset5y = 0.3375,
        offset6x = 0.925,
        offset6y = 0.5875,
        offset7x = 0.5,
        offset7y = 0.5125,
        offset8x = 0.075,
        offset8y = 0.5875,
        offset9x = 0.5,
        offset9y = 0.75,
        offset10x = 0.4995,
        offset10y = 0.875,
        formationfullnameid = 23,
        formationaudioid = 1,
        sourceformationid = 28
    },
    [29] = {
        position0 = 0,
        position1 = 2,
        position2 = 4,
        position3 = 5,
        position4 = 6,
        position5 = 8,
        position6 = 13,
        position7 = 15,
        position8 = 18,
        position9 = 24,
        position10 = 26,
        offset0x = 0.5,
        offset0y = 0.0175,
        offset1x = 0.925,
        offset1y = 0.275,
        offset2x = 0.675,
        offset2y = 0.15,
        offset3x = 0.5,
        offset3y = 0.15,
        offset4x = 0.325,
        offset4y = 0.15,
        offset5x = 0.075,
        offset5y = 0.275,
        offset6x = 0.65,
        offset6y = 0.5125,
        offset7x = 0.35,
        offset7y = 0.5125,
        offset8x = 0.5,
        offset8y = 0.6625,
        offset9x = 0.6,
        offset9y = 0.875,
        offset10x = 0.39,
        offset10y = 0.875,
        formationfullnameid = -1,
        formationaudioid = 4,
        sourceformationid = 29
    },
    [30] = {
        position0 = 0,
        position1 = 2,
        position2 = 4,
        position3 = 5,
        position4 = 6,
        position5 = 8,
        position6 = 13,
        position7 = 15,
        position8 = 23,
        position9 = 25,
        position10 = 27,
        offset0x = 0.5,
        offset0y = 0.015,
        offset1x = 0.9,
        offset1y = 0.28,
        offset2x = 0.7125,
        offset2y = 0.125,
        offset3x = 0.5,
        offset3y = 0.175,
        offset4x = 0.2875,
        offset4y = 0.125,
        offset5x = 0.1,
        offset5y = 0.28,
        offset6x = 0.65,
        offset6y = 0.5125,
        offset7x = 0.35,
        offset7y = 0.5125,
        offset8x = 0.9,
        offset8y = 0.82,
        offset9x = 0.4995,
        offset9y = 0.875,
        offset10x = 0.1,
        offset10y = 0.82,
        formationfullnameid = -1,
        formationaudioid = 3,
        sourceformationid = 30
    },
    [31] = {
        position0 = 0,
        position1 = 2,
        position2 = 4,
        position3 = 5,
        position4 = 6,
        position5 = 8,
        position6 = 13,
        position7 = 14,
        position8 = 15,
        position9 = 24,
        position10 = 26,
        offset0x = 0.5,
        offset0y = 0.0175,
        offset1x = 0.925,
        offset1y = 0.275,
        offset2x = 0.7125,
        offset2y = 0.175,
        offset3x = 0.5,
        offset3y = 0.15,
        offset4x = 0.2875,
        offset4y = 0.175,
        offset5x = 0.075,
        offset5y = 0.275,
        offset6x = 0.66,
        offset6y = 0.55,
        offset7x = 0.5152,
        offset7y = 0.475,
        offset8x = 0.34,
        offset8y = 0.5415,
        offset9x = 0.6,
        offset9y = 0.875,
        offset10x = 0.39,
        offset10y = 0.875,
        formationfullnameid = -1,
        formationaudioid = 4,
        sourceformationid = 31
    },
    [32] = {
        position0 = 0,
        position1 = 2,
        position2 = 4,
        position3 = 5,
        position4 = 6,
        position5 = 8,
        position6 = 10,
        position7 = 12,
        position8 = 16,
        position9 = 18,
        position10 = 25,
        offset0x = 0.5,
        offset0y = 0.015,
        offset1x = 0.9,
        offset1y = 0.28,
        offset2x = 0.7125,
        offset2y = 0.125,
        offset3x = 0.5,
        offset3y = 0.175,
        offset4x = 0.2875,
        offset4y = 0.125,
        offset5x = 0.1,
        offset5y = 0.28,
        offset6x = 0.5,
        offset6y = 0.375,
        offset7x = 0.9,
        offset7y = 0.6,
        offset8x = 0.1,
        offset8y = 0.6,
        offset9x = 0.5,
        offset9y = 0.66,
        offset10x = 0.4995,
        offset10y = 0.875,
        formationfullnameid = 13,
        formationaudioid = 5,
        sourceformationid = 32
    },
    [33] = {
        position0 = 0,
        position1 = 2,
        position2 = 4,
        position3 = 5,
        position4 = 6,
        position5 = 8,
        position6 = 12,
        position7 = 13,
        position8 = 15,
        position9 = 16,
        position10 = 25,
        offset0x = 0.5,
        offset0y = 0.0175,
        offset1x = 0.9,
        offset1y = 0.2941,
        offset2x = 0.675,
        offset2y = 0.15,
        offset3x = 0.5,
        offset3y = 0.15,
        offset4x = 0.325,
        offset4y = 0.15,
        offset5x = 0.0962,
        offset5y = 0.2963,
        offset6x = 0.925,
        offset6y = 0.5875,
        offset7x = 0.66,
        offset7y = 0.55,
        offset8x = 0.34,
        offset8y = 0.55,
        offset9x = 0.075,
        offset9y = 0.5875,
        offset10x = 0.4995,
        offset10y = 0.875,
        formationfullnameid = 14,
        formationaudioid = 5,
        sourceformationid = 33
    }
}
